Bric::Dist::Client - LWP Client for telling Bric::Dist::Handler to execute distribution jobs. $LastChangedRevision$ $LastChangedDate: 2006-03-17 16:26:34 -0800 (Fri, 17 Mar 2006) $ use Bric::Dist::Client; my $dist = Bric::Dist::Client->new; my $url = $dist->get_url; $dist = $dist->set_url($url); my $cookie = $dist->get_cookie; $dist = $dist->set_cookie($cookie); $dist->send; This class functions as a client to the distribution server. It sends a tickle request to the Bricolage distribution server, which is running Bric::Dist::Handler. It is principally used used by bric_dist_mon to publish and distribute files.

Constructors
Instantiates a Bric::Dist::Client object. Throws: Incorrect number of args to Bric::_set(). Bric::set() - Problems setting fields. Bric::_get() - Problems retrieving fields. Side Effects: NONE. Notes: NONE.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
NONE.

Public Instance Methods
Note: Deprecated. No need to call it anymore, as it is now a no-op. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns the Distribution server URL. Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: READ access for field 'url' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Sets the distribution server URL. $dist->set_url('http://cf.about.com/dist/'); Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: WRITE access for field 'url' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Returns the Distribution server cookie. Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: READ access for field 'cookie' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Sets the distribution server cookie. If no cookie is set, then none will be sent. Throws: Bad AUTOLOAD method format. Cannot AUTOLOAD private methods. Access denied: WRITE access for field 'cookie' required. No AUTOLOAD method. Side Effects: NONE. Notes: NONE. Note: Deprecated. No need to call it anymore. Will return an empty list or array reference. Throws: NONE. Side Effects: NONE. Notes: NONE. Note: Deprecated. No need to call it anymore. All arguments will simply be discarded. Throws: NONE. Side Effects: NONE. Notes: NONE. Note: Deprecated. No need to call it anymore. All arguments will simply be discarded. Throws: NONE. Side Effects: NONE. Notes: NONE. Sends a tickle request to the distribution server. Throws: Bric::_get() - Problems retrieving fields. Error sending jobs to distributor. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. 1; __END__ NONE. David Wheeler <david@justatheory.com> Bric